interface SheetCommentsWriterOptions {
    id: number;
    workbook: any;
}
declare class SheetCommentsWriter {
    id: number;
    count: number;
    _worksheet: any;
    _workbook: any;
    _sheetRelsWriter: any;
    _commentsStream?: any;
    _vmlStream?: any;
    vmlRelId?: string;
    startedData?: boolean;
    constructor(worksheet: any, sheetRelsWriter: any, options: SheetCommentsWriterOptions);
    get commentsStream(): any;
    get vmlStream(): any;
    _addRelationships(): void;
    _addCommentRefs(): void;
    _writeOpen(): void;
    _writeComment(comment: any, index: number): void;
    _writeClose(): void;
    addComments(comments: any[]): void;
    commit(): void;
}
export { SheetCommentsWriter };
